Issue 85450 - shift + mouse wheel to scroll left/write
shift + mouse wheel to scroll left/write
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: ui
OOo 2.3.1
All All
: P3 trivial (vote)
: OOo 2.4.1
Assigned To: eric.savary
issues@graphics
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-21 20:32 UTC by brutzman
Modified: 2009-07-20 14:52 UTC (History)
7 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description brutzman 2008-01-21 20:32:54 UTC
recommend adding shift + mouse wheel to scroll the edit window left/write

this is particularly helpful when also using regular mouse wheel to scroll the
window up/down, and control + mouse wheel to zoom magnification in/out

current means of scrolling left/write is to move drag the bar at bottom, which
is clumsy and time consuming

recommended approach of using shift key matches Visio (as do the other Impress
conventions listed here).  wondering if this capability is listed in Java
usability guidelines (probably should be).

thanks for considering this performance-improvement feature
Comment 1 christian.guenther 2008-01-22 09:15:35 UTC
This is a feature.
Comment 2 Armin Le Grand 2008-01-22 11:22:33 UTC
AW: A very good idea, +1 ! Adding some people to CC who may be interested...
Comment 3 thb 2008-01-22 12:14:44 UTC
If the system sends left/right wheel events (as e.g. X11 does for newer touch
pads, and OSX, of course), this is already working. Window in theory has, since
Vista, similar events, though no mouse driver I know of actually uses them.

Clearly, mapping this inside VCL is little effort, but applications might use
this modifier for other functionality (e.g. as Ctrl for zoom-in/out) - I'd vote
for an application-by-application handling.
Comment 4 philipp.lohmann 2008-05-16 10:04:26 UTC
reassign, target
Comment 5 philipp.lohmann 2008-05-16 12:07:45 UTC
fixed in CWS late241bf01
Comment 6 Martin Hollmichel 2008-05-16 13:22:00 UTC
seems to be a duplicate to 18421
Comment 7 philipp.lohmann 2008-05-16 13:24:24 UTC
on the contrary, 18421 wants to use shift-wheel for something else
Comment 8 philipp.lohmann 2008-05-16 15:09:10 UTC
please verify in CWS late241bf01
Comment 9 eric.savary 2008-05-19 12:08:26 UTC
Verified in CWS late241bf01
Comment 10 thorsten.ziehm 2009-07-20 14:52:15 UTC
This issue is closed automatically and wasn't rechecked in a current version of
OOo. The fixed issue should be integrated in OOo since more than half a year. If
you think this issue isn't fixed in a current version (OOo 3.1), please reopen
it and change the field 'Target Milestone' accordingly.

If you want to download a current version of OOo =>
http://download.openoffice.org/index.html
If you want to know more about the handling of fixed/verified issues =>
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues